# Generated by Django 4.2.2 on 2023-06-13 15:51
import pandas as pd
from django.db import migrations, models, transaction
from ..models import Area

area_url = "https://github.com/storemesh/masterdata/raw/django-app/master-area_20230613.parquet"

def get_area(apps, schema_editor):
    print(f"Get hscode from {area_url}")
    df = pd.read_parquet(area_url, engine='pyarrow')
    bluck = [Area(**elm) for elm in df.to_dict('records')]
    with transaction.atomic():
        Area.objects.bulk_create(bluck)
    print(f"Import area to Area, Sucessful! => {len(bluck)}")


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('area_code', models.CharField(max_length=20)),
                ('zone_code', models.CharField(max_length=5)),
                ('zone', models.CharField(max_length=10)),
                ('country_alpha2', models.CharField(max_length=2)),
                ('country_alpha3', models.CharField(max_length=3)),
                ('country_code', models.CharField(max_length=3)),
                ('country', models.CharField(max_length=100)),
                ('subdivision_code', models.CharField(max_length=6)),
                ('subdivision_th', models.CharField(max_length=100)),
                ('subdivision_en', models.CharField(max_length=100)),
                ('year', models.CharField(max_length=4)),
            ],
        ),
        migrations.RunPython(get_area)
    ]
