# Generated by Django 4.2.2 on 2023-06-12 09:50
import pandas as pd
from django.db import migrations, models, transaction
from ..models import HScode

hscode_url = "https://github.com/storemesh/masterdata/raw/django-app/mater-hscode.parquet"

def get_hscode(apps, schema_editor):
    print(f"Get hscode from {hscode_url}")
    df = pd.read_parquet(hscode_url, engine='pyarrow')
    bluck = [HScode(**elm) for elm in df.to_dict('records')]
    with transaction.atomic():
        HScode.objects.bulk_create(bluck)
    print(f"Import hscode to HScode, Sucessful! => {len(bluck)}")

class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='HScode',
            fields=[
                ('hscode8', models.CharField(max_length=8, primary_key=True, serialize=False)),
                ('hscode2', models.CharField(max_length=2)),
                ('hscode4', models.CharField(max_length=4)),
                ('description', models.TextField()),
            ],
        ),
        migrations.RunPython(get_hscode)
    ]
